Name:		perl-Search-Elasticsearch
Version:	8.12
Release:	1%{?dist}
Summary:	Official client for Elasticsearch
License:	Apache-2.0
URL:		https://metacpan.org/release/Search-Elasticsearch
Source0:	https://cpan.metacpan.org/modules/by-module/Search/Search-Elasticsearch-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(Any::URI::Escape)
BuildRequires:	perl(Cpanel::JSON::XS)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Tiny) >= 0.076
BuildRequires:	perl(IO::Compress::Deflate)
BuildRequires:	perl(IO::Compress::Gzip)
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(IO::Uncompress::Gunzip)
BuildRequires:	perl(IO::Uncompress::Inflate)
BuildRequires:	perl(JSON::MaybeXS) >= 1.002002
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(JSON::XS) >= 2.26
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Log::Any) >= 1.02
BuildRequires:	perl(Log::Any::Adapter)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Moo) >= 2.001000
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl(Net::IP)
BuildRequires:	perl(overload)
BuildRequires:	perl(Package::Stash) >= 0.34
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(URI)
BuildRequires:	perl(warnings)
# Optional Dependencies
BuildRequires:	perl(URI::Escape::XS)
# Test Suite
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(lib)
BuildRequires:	perl(Log::Any::Adapter::Callback) >= 0.09
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More) >= 0.98
BuildRequires:	perl(Test::SharedFork)
# Author Tests
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(MIME::Base64)
Recommends:	perl(URI::Escape::XS)

%description
Search::Elasticsearch is the official Perl client for Elasticsearch.
Elasticsearch itself is a flexible and powerful open source, distributed
real-time search and analytics engine for the cloud. You can read more about
it on http://elasticsearch.org/.

%prep
%setup -q -n Search-Elasticsearch-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name bench_cxn.pl -delete
%{_fixperms} -c %{buildroot}

%check
make test AUTHOR_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Search/
%{_mandir}/man3/Search::Elasticsearch.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Autoscaling.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Cat.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::CCR.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Cluster.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Connector.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::ConnectorSyncJob.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::DanglingIndices.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Enrich.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Eql.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Esql.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Features.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Fleet.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Graph.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::ILM.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Indices.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Inference.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Ingest.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::License.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Logstash.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Migration.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::ML.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Monitoring.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Nodes.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Profiling.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::QueryRuleset.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Rollup.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::SearchableSnapshots.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::SearchApplication.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Security.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Shutdown.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Simulate.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Slm.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Snapshot.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::SQL.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::SSL.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Synonyms.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Tasks.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::TextStructure.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Transform.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::Watcher.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Direct::XPack.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Role::API.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Role::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Role::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Client::8_0::TestServer.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::Factory.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::HTTPTiny.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::LWP.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Sniff.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Static.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Static::NoPing.3*
%{_mandir}/man3/Search::Elasticsearch::Error.3*
%{_mandir}/man3/Search::Elasticsearch::Logger::LogAny.3*
%{_mandir}/man3/Search::Elasticsearch::Role::API.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Client.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Client::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Cxn.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Sniff.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Static.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Static::NoPing.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Is_Sync.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Logger.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Serializer.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Serializer::JSON.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Transport.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::Cpanel.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::PP.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::XS.3*
%{_mandir}/man3/Search::Elasticsearch::TestServer.3*
%{_mandir}/man3/Search::Elasticsearch::Transport.3*
%{_mandir}/man3/Search::Elasticsearch::Util.3*

%changelog
* Thu Jan 25 2024 Paul Howarth <paul@city-fan.org> - 8.12-1
- Update to 8.12
  - Stable release for Elasticsearch 8.12

* Wed Jul 19 2023 Paul Howarth <paul@city-fan.org> - 8.00-2
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Thu Dec 29 2022 Paul Howarth <paul@city-fan.org> - 8.00-1
- Update to 8.00
  - Stable release for Elasticsearch 8.5
- Use SPDX-format license tag

* Thu Jul 28 2022 Paul Howarth <paul@city-fan.org> - 7.717-1
- Update to 7.717
  - Stable release for Elasticsearch 7.17

* Wed Oct 20 2021 Paul Howarth <paul@city-fan.org> - 7.715-1
- Update to 7.715
  - Stable release for Elasticsearch 7.15

* Tue Aug 10 2021 Paul Howarth <paul@city-fan.org> - 7.714-1
- Update to 7.714
  - Stable release for Elasticsearch 7.14

* Tue Jun 15 2021 Paul Howarth <paul@city-fan.org> - 7.713-1
- Update to 7.713
  - Stable release for Elasticsearch 7.13

* Thu Mar 25 2021 Paul Howarth <paul@city-fan.org> - 7.712-1
- Update to 7.712
  - Stable release for Elasticsearch 7.12

* Tue Mar  2 2021 Paul Howarth <paul@city-fan.org> - 7.711.001-1
- Update to 7.711001
  - Fix release for Elasticsearch 7.11

* Fri Feb 12 2021 Paul Howarth <paul@city-fan.org> - 7.711-1
- Update to 7.711
  - Stable release for Elasticsearch 7.11
- Fix upstream packaging issue
  (https://github.com/elastic/elasticsearch-perl/issues/202)

* Wed Sep 16 2020 Paul Howarth <paul@city-fan.org> - 7.30-1
- Update to 7.30
  - Updated API for Elasticsearch 7.3

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 6.81-2
- Perl 5.32 rebuild

* Sat Jun 27 2020 Paul Howarth <paul@city-fan.org> - 6.81-1
- Update to 6.81
  - Fixed Async and NetCurl tests
  - Added if_seq_no and if_primary_term in bulk params
  - Added include_type_name in indices.exists API

* Thu Mar 26 2020 Paul Howarth <paul@city-fan.org> - 6.80-1
- Update to 6.80
  - Updated API and XPack endpoints for Elasticsearch 6.8.7
  - Merged the XPack into Direct client, there is no need to use a plugin for
    XPack anymore
  - Added the XPack YAML tests
  - Usage of Travis CI for testing
  - Added the User-Agent header with:
    elasticsearch-perl/<client-version> (<os>; perl <Lang version>)
  - Fixed SSL_verify_mode in LWP and skipped https tests for Hijk

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 6.00-6
- Perl 5.30 rebuild

* Wed Nov 15 2017 Paul Howarth <paul@city-fan.org> - 6.00-1
- Update to 6.00
  - Released 6.00 with default API for 6_0
  - Legacy 5_0 API now released separately
  - Trace logging now includes content-type headers where appropriate
  - Deprecation warnings are now parsed to extract the message only
  - Improved boolean value handling in query string params - now accepts true,
    false, \1, \0, or a JSON::PP::Boolean object
  - Handle removal of '.' from @INC in perl 5.26

* Mon Apr  3 2017 Paul Howarth <paul@city-fan.org> - 5.02-1
- Update to 5.02
  - Boolean query params must be "true" or "false"
  - Added deprecation warnings
  - The scroll API requires a body with a named scroll_id parameter
  - Added support for pipeline parameter to bulk API, top level and metadata
    level
  - Added support for 413 HTTP status code - Request entity too large
  - Search::Elasticsearch::TestServer now takes an es_version parameter and
    works with 0.90, 1.0, 2.0, and 5.0
  - Added common parameters error_trace and human to all params

* Wed Oct 19 2016 Paul Howarth <paul@city-fan.org> - 5.01-1
- Update to 5.01
  - This version adds Elasticsearch 5.x compatibility and makes it the default;
    it also adds deprecation logging that logs to STDERR by default
  - The Hijk backend will not work with Elasticsearch 5.x until this bug is
    fixed: https://rt.cpan.org/Ticket/Display.html?id=118425
  BREAKING CHANGES:
  - The 0.90, 1.x, and 2.x compatible clients no longer ship by default - you
    should install one of the following:
    * Search::Elasticsearch::Client::2_0
    * Search::Elasticsearch::Client::2_0::Async
    * Search::Elasticsearch::Client::1_0
    * Search::Elasticsearch::Client::1_0::Async
    * Search::Elasticsearch::Client::0_90
    * Search::Elasticsearch::Client::0_90::Async
  - The code has been reorganised so that all client-related modules are under
    the S::E::API_VERSION::Client namespace; this includes S::E::Bulk and
    S::E::Scroll
  - Plugin authors note: the format for the API in ...Role::API has changed
  - S::E::Cxn::HTTP has been rolled into S::E::Cxn as Elasticsearch no longer
    supports other protocols
- Use features from recent EU::MM to simplify %%install section

* Tue May 24 2016 Paul Howarth <paul@city-fan.org> - 2.03-1
- Update to 2.03
  - Added register_qs() to allow plugins to expand known query string params
  - Added api_version() to API roles so that plugins can determine which API
    version they should load
- BR: perl-generators

* Wed Apr 20 2016 Paul Howarth <paul@city-fan.org> - 2.02-1
- Update to 2.02
  - Bug fix: sniffed http addresses may or may not have the hostname/ prepended

* Mon Apr 18 2016 Paul Howarth <paul@city-fan.org> - 2.01-1
- Update to 2.01
  - Updated for Elasticsearch 2.3.0
  - Added delete_by_query(), reindex(), and update_by_query()
  - Added tasks.list() and tasks.cancel()
  - Added ignore_unavailable to cat.snapshots()
  - Added attributes and explain to indices.analyze()
  - Added verbose to indices.segments()
  - S::ES::Error now implements TO_JSON
  - TestServer can now be used with forked processes
  Bug fixes:
  - Search::Elasticsearch::Error shouldn't be a Moo class
  - Search::Elasticsearch::Scroll can now be used in a forked process
  - Hijk is now optional as it doesn't work on Windows
  - cat.snapshots requires a repository

* Thu Oct 29 2015 Paul Howarth <paul@city-fan.org> - 2.00-1
- Update to 2.00
  - The default client is now '2_0::Direct', for use with Elasticsearch 2.x;
    specify client '1_0::Direct' if using with Elasticsearch 1.x
  Breaking:
  - The field parameter to indices.get_field_mapping() has been renamed to
    fields
  New features:
  - Added fields param to Bulk helper
  - The name parameter to indices.get_template() can accept multiple options
  - Added indices.forcemerge() and deprecated indices.optimize()
  - The index parameter to indices.open() and indices.close() is required
  - Added allow_no_indices, expand_wildcards, and ignore_unavailable params to
    indices.flush_synced()
  - Added the timeout param to cluster.stats(), nodes.hot_threads(),
    nodes.stats(), and nodes.info()
  - cluster.health() can accept multiple indices
  - Added cat.repositories() and cat.snapshots()
  - Added detect_noop param to update()
  - search_shards() accepts multi values for index/type
  - delete_template() requires an id
  - Add fork protection to Scroll and Async::Scroll
  Bug fix:
  - Added missing debug QS param
- Pod test is now working, so run the author tests too

* Wed Sep  2 2015 Paul Howarth <paul@city-fan.org> - 1.99-1
- Update to 1.99
  - This release provides support for Elasticsearch 2.0.0-beta1 and above, but
    the default client is still '1_0::Direct' and will remain so until version
    2.00 is released
  New features:
  - Added default_qs_params, which will be added to every request
  - Added max_time to the Bulk helper, to flush after a max elapsed time
  - Added filter_path parameter to all methods which return JSON
  - Added indices.flush_synced()
  - Added render_search_template()
  - Added cat.nodeattrs()
  - Added human flag to indices.get and indices.get_settings
  - Added rewrite flag to indices.validate_query
  - Added rewrite flag to indices.analyze
  - Added fields param to bulk()
  - Added update_all_types to indices.create and indices.put_mapping
  - Added request_cache to indices.put_warmer and indices.stats
  - Added request to indices.clear_cache
  - Added RequestTimeout exception for server-side timeouts
  - Updated Plugin::Watcher with 1.0 API
  Removed:
  - Removed id and id_cache from indices.clear_cache
  - Removed filter and filter_cache from indices.clear_cache
  - Removed ignore_conflict from indices.put_mapping
  Bugfixes:
  - Fixed error handling in Hijk
  - Fixed live test to non-existent IP address

* Sun Jun 28 2015 Paul Howarth <paul@city-fan.org> - 1.20-3
- Perl 5.22 rebuild

* Mon May 18 2015 Paul Howarth <paul@city-fan.org> - 1.20-1
- Update to 1.20
  Deprecated:
  - Search::Elasticsearch::Client::Direct in favour of
    Search::Elasticsearch::Client::1_0::Direct
  New features:
  - Added support for structured JSON exceptions in Elasticsearch 2.0
  - Added support for plugins
  - Added Search::Elasticsearch::Client::2_0::Direct for the upcoming
    Elasticsearch 2.0 with these changes:
    - Removed delete_by_query()
    - Removed termvector()
    - Removed indices.delete_mapping()
    - Removed nodes.shutdown()
    - Removed indices.status()
    - Added terminate_after param to search()
    - Added dfs param to termvectors()
    - Removed filter_keys param from indices.clear_cache()
    - Removed full param from indices.flush()
    - Removed force param from indices.optimize()
    - Removed replication param from all CRUD methods
    - Removed mlt() method
  Bug fix:
  - The bulk buffer was being cleared on a NoNodes exception
  Added methods:
  - field_stats()
  Added params:
  - allow_no_indices, expand_wildcards, ignore_unavailable to cluster.state()
  - fielddata_fields to search()
  - master_timeout to indices.get_template() and indices.exists_template()
  - detect_noop to update()
  - only_ancient_segments to upgrade()
  - analyze_wildcards, analyzer, default_operator, df, lenient,
    lowercase_expanded_terms, and q to count(), search_exists() and
    indices.validate_query()
  Removed methods:
  - benchmark.* - never released in Elasticsearch
  Also:
  - Arrays of enum query string params are now flattened as CSV
  - enum expand_wildcards also accepts: none, all
  - Search::Elasticsearch is no longer a Moo class
  - Updated elasticsearch.org URLs to use elastic.co instead
  - The request body is retained in exceptions
  - Upgraded Hijk to 0.20

* Fri Jan 16 2015 Paul Howarth <paul@city-fan.org> - 1.19-1
- Update to 1.19
  - Added method: cat.segments()
  - Added exceptions:
    - Unauthorized - for invalid user creds
    - SSL - for invalid SSL certs
  - Renamed exception: ClusterBlock → Forbidden
  - Simplified SSL support for HTTP::Tiny, LWP and improved instructions
  - Added optional tests for https/authz/authen

* Mon Jan  5 2015 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17
  - handle_args were not being passed to all backends, meaning that (e.g.)
    cookies could not be used
  - Log::Any 1.02 broke bwc - fixed to work with new version
  - Added params:
    - op_type, version, version_type to indices.put_template
    - version, version_type to indices.delete_template
    - version, version_type to termvectors
    - master_timeout, timeout to cluster.put_settings
    - ignore_idle_threads to nodes.hot_threads
    - terminate_after to search
  - Deprecated termvector in favour of termvectors (but old method still works
    for now)

* Sun Nov 16 2014 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Added dependency on Pod::Simple, which was causing installation on
    perl 5.8 to fail
  Added params:
  - percolate_preference and percolate_routing to percolate()
  Bug fix:
  - the index param is now required for indices.delete()

* Fri Nov  7 2014 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  Enhancements:
  - All backends (except Hijk) now default to not verifying SSL identities,
    but accept ssl_options to allow backend-specific configuration
  - Improved Mojo exceptions
  Bug fix:
  - is_https() didn't work
  Changed:
  - index param to put_alias() is now required
  Added methods:
  - index.get()
  - search_exists()
  - indices.upgrade()
  - indices.get_upgrade()
  - snapshot.verify_repository()
  Added parameters:
  - query_cache to search(), clear_cache(), stats()
  - wait_if_ongoing to flush()
  - script_id and scripted_upsert to update()
  - version and version_type to put_script(), get_script(), delete_script(),
    put_template(), get_template(), and delete_template()
  - op_type to put_script() and put_template()
  - metric to cluster_reroute()
  - realtime to termvector() and mtermvector()
  - dfs to termvector()
  Removed parameters:
  - filter_metadata from cluster_reroute()
  - search_query_hint from mlt()

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 1.14-2
- Perl 5.20 rebuild

* Fri Jul 25 2014 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14
  - Added support for indexed scripts and indexed templates
- Use %%license

* Mon Jun 16 2014 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - Breaking change: the Scroll helper used to pass the scroll ID to scroll()
    and clear_scroll() in the query string by default, with the scroll_in_body
    parameter to change the behaviour; this was causing frequent errors with
    long scroll IDs, so the new default behaviour is to pass the scroll ID in
    the body, with the scroll_in_qs parameter to change that behaviour
  - All Search::Elasticsearch HTTP backends are now fork-safe
  - Added track_scores param to search()
  - Added create param to indices.put_template()
  - Removed index_templates param from cluster.state()
  - Removed indices_boost param from search()
  - Added percolate_format param to percolate()
  - Added cat.fielddata()

* Fri May  9 2014 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Fixed bug when trying to reindex from a subref
  - Added search_shards()
  - Added char_filters to indices.analyze()
  - Removed index_templates from cluster.state()
  - Added conf to TestServer for passing arbitrary config

* Wed Apr 23 2014 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Switched default Serializer::JSON to use JSON::MaybeXS, and added
    Serializer backends for Cpanel::JSON::XS, JSON::XS and JSON::PP
  - Added scroll_in_body flag for Scroll helper
  - Added support for:
    - search_template()
    - snapshot->status()
    - indices->recovery()
    - benchmark()
    - list_benchmarks()
    - abort_benchmark()

* Wed Apr  2 2014 Paul Howarth <paul@city-fan.org> - 1.10-1
- Initial RPM version
